#ifndef _matrix
#define _matrix

#include <interval/interval.hpp>
#include "expression.h"
#include "domain.h"


using namespace std; 
typedef filib::interval<double,filib::native_switched,filib::i_mode_extended> interval;

class indice
{
 public :
  string dep;
  string ind;

};



class interval_matrix
{
  interval determinant(vector <string> dependent, vector<string> independent);

 public :
  
  interval determinant();

 public :
  indice pivot( vector <string> dependent, vector<string> independent);
  indice pivot();
  interval_matrix gaussian(vector <string> dependent, vector<string> independent, interval_matrix M, domain & b);
  domain gaussian(domain b);

  map < string , map < string, interval > > c ; 
  vector < string >  dependent_variable;
  vector < string >  independent_variable;

  void out();
  domain row( string independent  ) ;
  domain image( domain x  ) ;


};



class expression_matrix
{
 private:

  expression determinant(vector <string> dependent, vector<string> independent);

 public :
  
  expression determinant();

  vector < string >  dependent_variable;
  vector < string >  independent_variable;
  map < string , map < string, expression > > coefficient ; 
  interval_matrix evalue(domain x);

  void out();

};


#endif
 
