#ifndef _mesh_
#define _mesh_

#include <vector>
#include "domain.h"


class mesh : public vector < domain >
{
public :
  // Constructor
  mesh() { };
  mesh( domain initial, int nombre );

  mesh( domain initial, int nombre , bool avec_intersection );


  void out();

  // renvoie l'indice du domain pointé par point
  int which_one( domain point);
  domain which( domain point);
  
  
  // test si deux domaines s'intersectent
  bool voisin(int,int);

  // enveloppe interval 
  domain wrapping(vector < int >);

  // create a mesh which is the boundary (*this)
  mesh boundary();

  domain initial;
  vector < domain > initial_boundary;

  // renvoie le nombre de domain de la dimension spécifiée
  int compteur(int dimesion_topologique);
  int nombre;
 private :

  mesh(domain);
  void myinsert(mesh);
  mesh cut(string direction, int nombre);
  mesh cut_with_intersection(string axe, int nb);
};

#endif
 
