#version 3.6;
global_settings { assumed_gamma 1.0 }

#include "colors.inc"
#include "textures.inc"


// camera --------------------------------------------------------------
#declare Cam1 = camera {ultra_wide_angle angle  20
                        location  < 30.0 , 50.0 ,-60.0> 
                        look_at   < 1.0 , 0.0 ,  0.0>}
#declare Cam2 = camera {ultra_wide_angle angle  65
                        location  < 0.0 , 2.0 ,-15.0>
                        look_at   < 2.0 , 2.0 , 0.0>}
camera{Cam1}


light_source{<1800,2500,-2500> color White}
#declare Orange_Yellow = color rgb<1,0.77,0>;

sphere{<0,0,0>,1 hollow
       texture{pigment{gradient <0,1,0>
                       color_map{[0.0 color Orange_Yellow]
                                 [0.5 color White]
                                 [1.0 color Orange_Yellow]}
                       quick_color White
                       scale 2 translate<0,-1,0> }
               finish {ambient 1 diffuse 0}
              }
       scale 10000}


//------------------------------------------------------------------------
#include "axis_xyz.inc" // contient aussi superbox
#declare RED   = texture{pigment{color rgb<0.8,0,0.45> }
                         finish {ambient 0.1 diffuse 0.9 phong 1}}
#declare BLACK = texture{pigment{color rgb<1,1,1> }
                         finish {ambient 0.5 diffuse 0.5 phong 1}}

object{ AxisXYZ (12, 5, 10,  RED, RED)}


text {
ttf "timrom.ttf" "t" 0.05, 0
pigment { Red }
translate <11, 0, 0>
}


text {
ttf "timrom.ttf" "x" 0.05, 0
pigment { Red }
rotate <0,0,0>
translate <0, 4.5, 0>
}


text {
ttf "timrom.ttf" "u" 0.05, 0
pigment { Red }
rotate <0,-90,0>
translate <0, 0, 10>
}








